Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks.mux
Class NoMuxHandler

    java.lang.Object
      org.jgroups.blocks.mux.NoMuxHandler

All Implemented Interfaces:
  java.io.Serializable

    public class NoMuxHandler

extends java.lang.Object
implements java.io.Serializable

Returned by `MuxUpHandler` when a message is received with a specific `MuxHeader`, but no corresponding handler is registered.

Author:
  Paul Ferraro
See Also:
  Serialized Form

Constructor Summary
`NoMuxHandler(short id)`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`short` | `getId()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoMuxHandler

    public NoMuxHandler(short id)

Method Detail

### getId

    public short getId()

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.